%global modname attrs
%global sum Python attributes without boilerplate

# can't yet build python3 package for EPEL7
# Python 3.5 is available in EPEL7, but as of 2016-08-14, packaging guidelines
# aren't up to date, and example spec at
#   https://fedoraproject.org/wiki/User:Bkabrda/EPEL7_Python3#Specfiles.2C_Macros.2C_Packaging_Process
# isn't actually working for me.
%if 0%{?fedora} > 12 || 0%{?rhel} > 7
%global with_python3 1
%endif
# python2 macros needed for EPEL7
%{!?__python2: %global __python2 /usr/bin/python2} 
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")} 
%{!?py2_build: %global py2_build %{expand: CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} build --executable="%{__python2} -s"}}
%{!?py2_install: %global py2_install %{expand: CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}}} 

Name:           python-attrs
Version:        16.0.0
Release:        2%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://attrs.readthedocs.io/
Source0:        https://github.com/hynek/%{modname}/archive/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%if 0%{?fedora} > 12 || 0%{?rhel} > 7
BuildRequires:  python2-devel python2-setuptools
%else
BuildRequires:  python-devel python-setuptools
%endif
BuildRequires:  python2-hypothesis

%if 0%{?with_python3}
BuildRequires:  python3-devel python3-setuptools python3-hypothesis
%endif

%description
attrs is an MIT-licensed Python package with class decorators that
ease the chores of implementing the most common attribute-related
object protocols.

%package -n python2-%{modname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname}
attrs is an MIT-licensed Python package with class decorators that
ease the chores of implementing the most common attribute-related
object protocols.

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{modname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
attrs is an MIT-licensed Python package with class decorators that
ease the chores of implementing the most common attribute-related
object protocols.
%endif

%prep
%setup -q -n %{modname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%check
PYTHONPATH=%{buildroot}/%{python2_sitelib} %{__python2} tests/__init__.py
%if 0%{?with_python3}
PYTHONPATH=%{buildroot}/%{python3_sitelib} %{__python3} tests/__init__.py
%endif

%files -n python2-%{modname}
%license LICENSE
%doc AUTHORS.rst README.rst
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{modname}
%license LICENSE
%doc AUTHORS.rst README.rst
%{python3_sitelib}/*
%endif

%changelog
* Sun Aug 14 2016 Eric Smith <brouhaha@fedoraproject.org> 16.0.0-2
- Updated based on Fedora package review (#1366878).

* Sat Aug 13 2016 Eric Smith <brouhaha@fedoraproject.org> 16.0.0-1
- Initial version.
